import request from '@/utils/request'
import Qs from 'qs'
// 查询文章管理信息列表
export function listManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.articleManagement',
      _mt: 'list',
      ...query
    }
  })
}

// 查询文章管理信息详细
export function getManagement(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.articleManagement',
      _mt: 'get',
      id: id
    }
  })
}

// 新增文章管理信息
export function addManagement(data) {
  return request({
      method: 'post',
      data: Qs.stringify({
        _gp: 'admin.unimall.articleManagement',
        _mt: 'add',
        articleManagement: JSON.stringify(data)
      })
  })
}
// export function addManagement(data) {
//   return request({
//     method: 'post',
//     params: {
//       _gp: 'admin.unimall.articleManagement',
//       _mt: 'add',
//       articleManagement: data
//     }
//   })
// }


// 修改文章管理信息

export function updateManagement(data) {
  return request({
      method: 'post',
      data: Qs.stringify({
        _gp: 'admin.unimall.articleManagement',
          _mt: 'update',
          articleManagement: JSON.stringify(data)
      })
  })
}
// export function updateManagement(data) {
//   return request({
//     method: 'post',
//     params: {
//       _gp: 'admin.unimall.articleManagement',
//       _mt: 'update',
//       articleManagement: data
//     }
//   })
// }

// 删除文章管理信息
export function delManagement(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.articleManagement',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出文章管理信息
export function exportManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.articleManagement',
      _mt: 'export',
      ...query
    }
  })
}

// 文章分类列表
export function listDict(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.cloudClassifyInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 新增分类
export function addDict(dict) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.cloudClassifyInfo',
      _mt: 'add',
      cloudClassifyInfo:dict
    }
  })
}

// 编辑分类
export function editDict(dict) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.cloudClassifyInfo',
      _mt: 'update',
      cloudClassifyInfo:dict
    }
  })
}
// 查询分类
export function getDict(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.cloudClassifyInfo',
      _mt: 'get',
      id:id
    }
  })
}
// 删除分类
export function delDict(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.cloudClassifyInfo',
      _mt: 'delete',
      id: id
    }
  })
}